#ifndef SDP_SCHEDULER_EMULATOR_H
#define SDP_SCHEDULER_EMULATOR_H

#include "utils.h"

#ifdef __cplusplus
extern "C" {
#endif

extern char _scheduler_software_timer;
extern char one_robot_mode;

extern short etching_zone, galvanizing_zone;

void scheduler_main();

// Флаги, которые есть в оригинальной программе на ПЛК, в "C global variables"

// кнопка загрузки в зоне 0, означает что барабан надо изъять из этой загрузки (а перед этим создать)
extern char button_load;

// разрешающий сигнал подавать не буду, он не нужен поскольку планировщик нужен всегда

// кнопка выгрузки, означает что барабан нужно вернуть обратно
extern char button_unload;

// кнопка загрузки в зоне 1, означает что барабан в этой зоне подлежит удалению
extern char button_unload_end;

// кнопка загрузки в зоне 22, означает что барабан в этой зоне подлежит удалению
extern char button_unload_remove;


// Переменные, которые надо добавить в C Global variables


// lock-зоны, нельзя двигаться за них и за робота
extern short robot1_lock_zone;
extern short robot2_lock_zone;


#ifdef __cplusplus
}
#endif

#endif //SDP_SCHEDULER_EMULATOR_H
